<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class SubcategoryTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('subcategories')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'subcategory.subcategories.view',
                'name'      => 'View Subcategories',
            ],
            [
                'slug'      => 'subcategory.subcategories.create',
                'name'      => 'Create Subcategories',
            ],
            [
                'slug'      => 'subcategory.subcategories.edit',
                'name'      => 'Update Subcategories',
            ],
            [
                'slug'      => 'subcategory.subcategories.delete',
                'name'      => 'Delete Subcategories',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/subcategory/subcategories',
                'name'        => 'Subcategories',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/subcategory/subcategories',
                'name'        => 'Subcategories',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'subcategories',
                'name'        => 'Subcategories',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Subcategory',
                'module'    => 'Subcategories',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'subcategory.subcategories.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
