<?php

namespace Litecms\Subcategory\Repositories\Eloquent;

use Litecms\Subcategory\Interfaces\SubcategoriesRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class SubcategoriesRepository extends BaseRepository implements SubcategoriesRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.subcategory.subcategories.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.subcategory.subcategories.model.model');
    }
}
